﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Setting Up Dynamic KPIs</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Setting Up Dynamic KPIs</h1>
        <p>Administrators can manage the Key Performance Indicators (KPIs) that they want to display on a user's Home page based on the logged-in user's persona. Administrators can write their own scripts to add new KPIs. The KPIs can be made available for the users based on their persona by assigning features to a KPI so that the users can see the KPIs of the features that are assigned to them.</p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;" MadCap:conditions="Default.v2021X">
            <p>Dynamic KPIs can now be managed.</p>
        </div>
        <h3 id="SettingUpDynamicKPIs(ModernExperience)-AddingaNewKPI">Adding a New KPI</h3>
        <p>You can create a customized KPI by adding your own code to perform the calculations for a KPI and display the result in the Overview section of the Home page.</p>
        <p>To add a new KPI:</p>
        <ol>
            <li>
                <p>Click <strong>Apps Switcher &gt; Home.</strong></p>
            </li>
            <li>
                <p>Click <strong>Add KPI</strong> in the Overview section.</p>
            </li>
            <li>
                <p>Enter the <strong>Name</strong> and <strong>Rank</strong>, select the required <strong>Feature</strong> and add the code to display the result.</p>
            </li>
            <li>
                <p>Click <strong>Preview</strong> to review the KPI added.</p>
            </li>
            <li>
                <p>Click <strong>Save</strong> to save the new KPI.</p>
            </li>
        </ol>
        <h3 id="SettingUpDynamicKPIs(ModernExperience)-ModifyinganExistingKPI">Modifying an Existing KPI</h3>
        <p>You can update the existing KPI attributes or the code to show different results for a user. </p>
        <p>To edit an existing KPI:</p>
        <ol>
            <li>
                <p>Click <strong>Apps Switcher &gt; Home</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Edit</strong> icon on the KPI.</p>
            </li>
            <li>
                <p>Enable the <strong>Edit</strong> option to modify the attribute values like Rank and Features.</p>
            </li>
            <li>
                <p>Perform the required modifications.</p>
            </li>
            <li>
                <p>Click <strong>Preview</strong> to review the updated KPI.</p>
            </li>
            <li>
                <p>Click <strong>Save</strong> to update the changes.</p>
            </li>
        </ol>
        <h3 id="SettingUpDynamicKPIs(ModernExperience)-DeletinganExistingKPI">Deleting an Existing KPI</h3>
        <p>To delete an existing KPI:</p>
        <ol>
            <li>
                <p>Click <strong>Apps Switcher &gt; Home</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Delete</strong> icon on the KPI.</p>
            </li>
            <li>
                <p>Click <strong>OK</strong> on the confirmation window.</p>
            </li>
        </ol>
    </body>
</html>